TAIL_CMD=`which tail`
JOURNALCTL_CMD=`which journalctl`

tail () {
   ARGS=''
    for i in "$@"; do
        i="${i//\\/\\\\}"
        ARGS="$ARGS \"${i//\"/\\\"}\""
    done
    if grep -q -i "\-f" <<< "$*"
    then
        bash -c "$TAIL_CMD $ARGS | ccze -A"
    else
        bash -c "$TAIL_CMD $ARGS"
    fi
}

journalctl () {
   ARGS=''
    for i in "$@"; do
        i="${i//\\/\\\\}"
        ARGS="$ARGS \"${i//\"/\\\"}\""
    done
    if grep -q "\-f" <<< "$*"
    then
        bash -c "$JOURNALCTL_CMD $ARGS | ccze -A"
    else
        bash -c "$JOURNALCTL_CMD $ARGS"
    fi
}

cless () {
    cat $1 | ccze -A | less -R
}

